# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.books
Class Viewability.Value

    java.lang.Object
      com.google.gdata.data.books.Viewability.Value

Enclosing class:
  Viewability

    public static final class Viewability.Value

extends java.lang.Object

Programmatic value that describes the viewability of a volume in Google Book Search.

Field Summary
`static java.lang.String` `VIEW_ALL_PAGES` Full viewability.
`static java.lang.String` `VIEW_NO_PAGES` No viewability.
`static java.lang.String` `VIEW_PARTIAL` Partial viewability.
`static java.lang.String` `VIEW_UNKNOWN` Unknown viewability.

Constructor Summary
`Viewability.Value()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VIEW_ALL_PAGES

    public static final java.lang.String VIEW_ALL_PAGES

  Full viewability.

  See Also:
    Constant Field Values

### VIEW_NO_PAGES

    public static final java.lang.String VIEW_NO_PAGES

  No viewability.

  See Also:
    Constant Field Values

### VIEW_PARTIAL

    public static final java.lang.String VIEW_PARTIAL

  Partial viewability.

  See Also:
    Constant Field Values

### VIEW_UNKNOWN

    public static final java.lang.String VIEW_UNKNOWN

  Unknown viewability.

  See Also:
    Constant Field Values

Constructor Detail

### Viewability.Value

    public Viewability.Value()